Subject: Queen Anne's Lace, carrots & edible MA wild plants

From: [email-masked] (Michael O'Donnell)
Date: Sun, 9 Jul 1995 00:29:58 GMT

I heard recently (I cannot remember where) that Queen Anne's Lace is
related to carrots, so I pulled one up and shredded its root with my
pocket knife.  Sure enough it smelled VERY much like a carrot - so much
so that I was temped to eat some, but didn't.  My reluctance to taste
it was at least partly due to my remembering that another common edible
plant (tomato) is supposedly related to deadly nightshade(!)  Anyway,
would anybody care to opine as to whether I might safely chew on one
of these roots next time I'm out for a walk?

My region-specific follow-on question would be the more general "What
common, easily identifiable roadside plants can be safely nibbled while
on a walk in, say, Massachusetts?"

Regards,
 ---------------------------------
 Michael O'Donnell     [email-masked]
 ---------------------------------